%define name xarchon
%define version 0.50
%define release 12mdk

Name: %{name}
Summary: X ARCHON is a strange game of chess
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Patch:	xarchon-fonts.patch.bz2
Group: Games/Boards
URL: http://xarchon.seul.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildRequires: esound-devel
BuildRequires: gtk-devel

%description 
X ARCHON is a clone of the golden oldie ARCHON game created by Freewall
Associates and distributed by Electronic Arts. ARCHON, in its simplest form,
resembles a strange game of chess. But no one ever said that Archon was a
simple game. When a piece is challenged a duel ensued between the two pieces
until one of the pieces is dead. Combine with spells and fantastic units, an
you have a very small taste of Archon.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch -p1

%build

%configure --bindir=%{_gamesbindir} \
           --datadir=%{_gamesdatadir} \
           --disable-rpath


%make

%install
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/games/xarchon" \
title="Xarchon" \
longtitle="Clone of ARCHON game" \
icon="boards_section.png" \
needs="x11" \
section="Amusement/Boards"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}
                   

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%_gamesbindir/*
%_mandir/man6/*
%dir %_gamesdatadir/xarchon/
%_gamesdatadir/xarchon/*
%_menudir/*

%changelog
* Tue Dec 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.50-12mdk
- fix paths

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.50-11mdk
- add buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.50-10mdk
- rebuild

* Thu Sep 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.50-9mdk
- patch0: fix call to missing fonts in board.c and field.c

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.50-8mdk
- rebuild

* Fri May 31 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.50-7mdk
- rebuild against new libstdc++

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.50-6mdk
- Use standard icon for menu

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.50-5mdk
- rebuild

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.50-4mdk
- rebuild

* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-3mdk
- fix install that was sooo crappy
- menu && bm && macros

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- fix group

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Upgrade to 0.50 version.

* Tue Oct 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Upgrade to 0.42 version.

* Thu Oct 07 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Little adaptations of the specfile

* Sun Sep 26 1999 Sean P. Kane <spkane@home.com>
- Created First Xarchon RPM

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
